#
# spec file for package sixpack (Version 2.1)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  ed perl-Tk wget x-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs autoconf automake binutils ed expat fontconfig fontconfig-devel gcc gdbm gettext libtool perl perl-Tk rpm wget

Name:         sixpack
Version:      2.1
Release:      0.1
License:      GPL
Group:        Productivity/Publishing/TeX/Frontends
Url:          http://sixpack.sourceforge.net/
Autoreqprov:  on
Requires:     perl-bp perl-Tk
Summary:      A program for manipulating bibliographic references in a variety of formats written in Perl.
Source:       http://prdownloads.sourceforge.net/sixpack/%{name}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Sixpack is a program for manipulating bibliographic references in a variety of
formats, including bibtex, refer and endnotes.  It is written in Perl, uses
the perl/BP package for conversion between bibliographic formats.  It includes
both a text user interface and a graphical user interface, based on the Tk
widget set.

Authors:
--------
    Sixten Boeck <boeck at physik dot hu-berlin dot de>
	 Michael Lachmann <dirk at santafe dot edu>

%prep
%setup -n %name

%build
# Export variables that configure will look for.
export RPM_CONF_DIR=%{_sysconfdir}
export RPM_LIB_DIR=%{_libdir}
export RPM_MAN_DIR=%{_mandir}
./configure
for file in bib bib-remote sixpack.rc; do
	sed -e "s%/usr/local/%/usr/%g" \
		-e "s%/usr/lib/%{name}/Pics%/usr/share/%{name}/pix%g" \
		-e "s%/usr/lib/%{name}/pix%/usr/share/%{name}/pix%g" \
		-e "s%/%{name}-%{version}/%/%{name}/%g" \
		-e "s%netscape%mozilla%g" \
		${file} >${file}.new && \
			mv ${file}.new ${file}
done

%install
[ "${RPM_BUILD_ROOT}" != "/" -a -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}
%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	DEST_DIR=${RPM_BUILD_ROOT} \
	mandir=${RPM_BUILD_ROOT}/%{_mandir} \
	sixdocdir=${RPM_BUILD_ROOT}/${RPM_DOC_DIR}/%{name} \
	sixpicsdir=${RPM_BUILD_ROOT}/%{_datadir}/%{name}/pix \
	install
mv sixpack/doc .

%clean
[ "${RPM_BUILD_ROOT}" != "/" -a -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/sixpack
%config(noreplace) %{_sysconfdir}/sixpack/Bib
%config(noreplace) %{_sysconfdir}/sixpack/sixpack.rc
%{_bindir}/bib
%{_bindir}/bib-remote
%{_datadir}/%{name}
%doc %{_mandir}/man1/bib.1.gz
%doc %{_mandir}/man1/bib-remote.1.gz
%doc changelog biblio.vim doc examples sixpack.lyx README

%changelog -n sixpack
* Thu Jun 17 2004 - lmuelle@suse.de
- Inital SuSE RPM.
